import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import { toThousands } from './filter/toThousands'
import refreshTitle from './utils/refreshTitle'

require('./assets/styles/swiper@5.3.6.min.css')

Vue.config.productionTip = false

Vue.filter('toThousands', toThousands)
Vue.prototype.$refreshTitle = refreshTitle
Vue.directive('myBlur', {
  inserted: function (element) {
    element.onblur = function () {
      const timer = setTimeout(function () {
        clearTimeout(timer)
        const scrollHeight = document.documentElement.scrollTop || document.body.scrollTop || 0
        window.scrollTo(0, Math.max(scrollHeight - 1, 0))
      }, 100)
    }
  }
})
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
